Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Contact Center

New request field and response fields and new endpoints to get up to 2 years of historical recording logs.

API release

Summary:New request field and response fields in Engagement and Asset Library APIs; four API endpoints now let users get up to 2 years of historical recording logs instead of just 6 months' worth.

Changed

  • Add new asset_item_voice request field in the following Asset Library APIs:
    • POST /v2/contact_center/asset_library/assets
    • PATCH /v2/contact_center/asset_library/assets/{assetId}
  • Add new numeric_answer response field in the following Engagements API:
    • GET /v2/contact_center/engagements/{engagementId}/survey
  • Add new asset_item_voice response field in the following Asset Library APIs:
    • GET /v2/contact_center/asset_library/assets/{assetId}
    • POST /v2/contact_center/asset_library/assets
  • Change querying capabilities so that users can now get up to 2 years of historical recording logs.
    • GET /contact_center/engagements/{engagementId}/recordings
    • GET /contact_center/queues/{queueId}/recordings
    • GET /contact_center/recordings
    • GET /contact_center/users/{userId}/recordings